
--[[ EN ]]

-- To create a new module, change every occurence of 'WQ2Sounds' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'WQ2Sounds' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "WQ2MediaWQ2Sounds";										-- !!!
local moduleid = "wq2";										-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "WQ2MediaWQ2SoundsFakeFrame"); 				-- !!!

function WQ2MediaWQ2Sounds_OnEvent(this, event, arg1, arg2, arg3, arg4, ...) 	-- !!!
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        WQ2MediaWQ2Sounds_Init();												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData);
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", WQ2MediaWQ2Sounds_OnEvent);							-- !!!
frame:RegisterEvent("ADDON_LOADED");

function WQ2MediaWQ2Sounds_Init()												-- !!!
    moduleData = {
    	name = "WQ2Sounds",
        moduleid = moduleid,
        tags = {
            ["alm"] = "Allimania",
            ["lotw"] = "LOTW",
            },
                
        mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
        mediadata = nil
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "wq2:mine:001"

	-- bei anderen als dem default-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "wq2:mine:001"

    id = "wq2:001",
    file = "001.ogg",
    len = 2,
    msg = "Player left",
    tags = {"bye"},
    
},
{
    id = "wq2:002",
    file = "002.ogg",
    len = 2,
    msg = "New player",
    
},
{
    id = "wq2:003",
    file = "003.ogg",
    len = 2,
    msg = "Welcome",
    tags = {"hi"};
},
{
    id = "wq2:004",
    file = "004.ogg",
    len = 3,
    msg = "Admin",
    tags = {"announce"}    
},
{
    id = "wq2:005",
    file = "005.ogg",
    len = 3,
    msg = "Access denied",
    tags = {"announce"}
    
},
{
    id = "wq2:006",
    file = "006.ogg",
    len = 2,
    msg = "Error",
    
},
{
    id = "wq2:007",
    file = "007.ogg",
    len = 2,
    msg = "Warning",
    tags = {"pvp"}
},
{
    id = "wq2:008",
    file = "008.ogg",
    len = 3,
    msg = "He's outta here",
    
},
{
    id = "wq2:009",
    file = "009.ogg",
    len = 2,
    msg = "Link disengaged",
    
},
{
    id = "wq2:010",
    file = "010.ogg",
    len = 2,
    msg = "Link engaged",
    
},
{
    id = "wq2:011",
    file = "011.ogg",
    len = 1,
    msg = "Paar auf's Maul?",
    tags = {"pvp", "lotw","negative"},
},
{
    id = "wq2:012",
    file = "012.ogg",
    len = 11,
    msg = "Krass Bierschiss",
    tags = {"lotw"},
},
{
    id = "wq2:013",
    file = "013.ogg",
    len = 7,
    msg = "Quaaak",
    tags = {"lotw"},
},
{
    id = "wq2:014",
    file = "014.ogg",
    len = 0,
    msg = "5000 Watt Basemachine",
    tags = {"lotw"},
},
{
    id = "wq2:015",
    file = "015.ogg",
    len = 4,
    msg = "Du stinkst...",
    tags = {"lotw"},
},
{
    id = "wq2:016",
    file = "016.ogg",
    len = 12,
    msg = "Arschlecken Feuerwerk!",
    tags = {"lotw","negative"},
},
{
    id = "wq2:017",
    file = "017.ogg",
    len = 4,
    msg = "Drogenfahndung",
    tags = {"lotw"},
},
{
    id = "wq2:018",
    file = "018.ogg",
    len = 1,
    msg = "Ich brauch Zeug!",
    tags = {"lotw"},
},
{
    id = "wq2:019",
    file = "019.ogg",
    len = 2,
    msg = "Auf's Maul?",
    tags = {"lotw", "pvp"},
},
{
    id = "wq2:020",
    file = "020.ogg",
    len = 4,
    msg = "Schluck erst mal runter!",
    tags = {"lotw","negative"},    
},
{
    id = "wq2:021",
    file = "021.ogg",
    len = 12,
    msg = "Halt's Maul du Hurensohn!",
    tags = {"lotw","group","negative"},
},
{
    id = "wq2:022",
    file = "022.ogg",
    len = 7,
    msg = "Fick dich!",
    tags = {"lotw","negative"},
},
{
    id = "wq2:023",
    file = "023.ogg",
    len = 7,
    msg = "Wacken?!",
    tags = {"lotw"},
},
{
    id = "wq2:024",
    file = "024.ogg",
    len = 15,
    msg = "Druff Druff Druff *träller*",
    tags = {"music"},
},
{
    id = "wq2:025",
    file = "025.ogg",
    len = 16,
    msg = "3 Tage wach *träller*",
    tags = {"music"},
},
{
    id = "wq2:026",
    file = "026.ogg",
    len = 2,
    msg = "Hmm! Supergut!",
    tags = {"positive"},
    
},
{
    id = "wq2:027",
    file = "027.ogg",
    len = 10,
    msg = "Aber ich habe keine Hole!",
    
},
{
    id = "wq2:028",
    file = "028.ogg",
    len = 3,
    msg = "Schlangemann, der Multimensch",
    
},
{
    id = "wq2:029",
    file = "029.ogg",
    len = 11,
    msg = "Poetisch",
    
},
{
    id = "wq2:030",
    file = "030.ogg",
    len = 10,
    msg = "10 Tüten",
    tags = {"group"},
},
{
    id = "wq2:031",
    file = "031.ogg",
    len = 4,
    msg = "Beine weggehauen",
    tags = {"pvp"},
},
{
    id = "wq2:032",
    file = "032.ogg",
    len = 0,
    msg = "Chaccaron *trealler*",
    tags = {"music"},
},
{
    id = "wq2:033",
    file = "033.ogg",
    len = 3,
    msg = "Dumm wie Scheisse",
    tags = {"negative"},
},
{
    id = "wq2:034",
    file = "034.ogg",
    len = 2,
    msg = "Junge",
    tags = {"group"},
    
},
{
    id = "wq2:035",
    file = "035.ogg",
    len = 16,
    msg = "Mimimi *träller*",
    tags = {"music"},
    
},
{
    id = "wq2:036",
    file = "036.ogg",
    len = 3,
    msg = "Mudder?",
    
},
{
    id = "wq2:037",
    file = "037.ogg",
    len = 4,
    msg = "Pinguin",
    
},
{
    id = "wq2:038",
    file = "038.ogg",
    len = 3,
    msg = "Schwänzchen",
    
},
{
    id = "wq2:039",
    file = "039.ogg",
    len = 7,
    msg = "Marhaba *träller*",
    tags = {"music"},
},
{
    id = "wq2:040",
    file = "040.ogg",
    len = 12,
    msg = "Nimm ihn in den Mund!",
    tags = {"group"},
},
{
    id = "wq2:041",
    file = "041.ogg",
    len = 3,
    msg = "Nein aber ja aber nein!",
    tags = {"group"},
    
},
{
    id = "wq2:042",
    file = "042.ogg",
    len = 1,
    msg = "Ja ich weiß",
    
},
{
    id = "wq2:043",
    file = "043.ogg",
    len = 1,
    msg = "You were kicked",
    tags = {"negative"},
},
{
    id = "wq2:044",
    file = "044.ogg",
    len = 1,
    msg = "Computer sagt nein",
    
},
{
    id = "wq2:045",
    file = "045.ogg",
    len = 1,
    msg = "Eier! Wir brauchen Eier!",
    tags = {"tvtotal"},
},
{
    id = "wq2:046",
    file = "046.ogg",
    len = 6,
    msg = "Atenouvielle",
    tags = {"alm","priest"},
},
{
    id = "wq2:047",
    file = "047.ogg",
    len = 7,
    msg = "Ich bin Feraldruide...",
    tags = {"alm","druid"},
},
{
    id = "wq2:048",
    file = "048.ogg",
    len = 3,
    msg = "Ihr kriegt mich niemals lebend!",
    tags = {"alm","pvp"},
},
{
    id = "wq2:049",
    file = "049.ogg",
    len = 2,
    msg = "Ich möchte singen!",
    tags = {"alm"},
},
{
    id = "wq2:050",
    file = "050.ogg",
    len = 14,
    msg = "Raul spricht nicht!",
    tags = {"alm"},
},
{
    id = "wq2:051",
    file = "051.ogg",
    len = 6,
    msg = "Elfentechnologie...",
    tags = {"alm","pve"},
},
{
    id = "wq2:052",
    file = "052.ogg",
    len = 5,
    msg = "Nenn mich nicht Uschi!",
    tags = {"alm","negative"},
},
{
    id = "wq2:053",
    file = "053.ogg",
    len = 15,
    msg = "Die MF! *träller*",
    tags = {"music","pvp","negative"},
},
{
    id = "wq2:054",
    file = "054.ogg",
    len = 15,
    msg = "Scheiss ihm in die Stiefel",
    
},
{
    id = "wq2:055",
    file = "055.ogg",
    len = 1,
    msg = "Jetzt wird's geil!",
    tags = {"positive"},
},
{
    id = "wq2:056",
    file = "056.ogg",
    len = 0,
    msg = "Das ist ja Stuhl!",
    
},
{
    id = "wq2:057",
    file = "057.ogg",
    len = 4,
    msg = "Demolition Dimitri",
    tags = {"alm","warlock"},
},
{
    id = "wq2:058",
    file = "058.ogg",
    len = 4,
    msg = "Ich bin Atenouvielle",
    tags = {"alm","priest"},
},
{
    id = "wq2:059",
    file = "059.ogg",
    len = 5,
    msg = "Mein Name ist Miracoli",
    tags = {"alm","druid"},
},
{
    id = "wq2:060",
    file = "060.ogg",
    len = 6,
    msg = "Horst mag keine Vorspannmusik...",
    tags = {"alm","warrior"},
},
{
    id = "wq2:061",
    file = "061.ogg",
    len = 16,
    msg = "Rauls Witz",
    tags = {"alm"},
},
{
    id = "wq2:062",
    file = "062.ogg",
    len = 1,
    msg = "Was sächter?",
    tags = {"alm"},
},
{
    id = "wq2:063",
    file = "063.ogg",
    len = 1,
    msg = "Männer!",
    tags = {"alm","women"},
},
{
    id = "wq2:064",
    file = "064.ogg",
    len = 5,
    msg = "Sollte das witzig sein?",
    tags = {"alm","group"},
},
{
    id = "wq2:065",
    file = "065.ogg",
    len = 4,
    msg = "OMG, sie haben Dimitri getötet",
    tags = {"alm","pvp"},
},
{
    id = "wq2:066",
    file = "066.ogg",
    len = 10,
    msg = "Ich bin der Ronni",
    tags = {"alm","paladin"},
},
{
    id = "wq2:067",
    file = "067.ogg",
    len = 7,
    msg = "normal, gross, gigantisch",
    
},
{
    id = "wq2:068",
    file = "068.ogg",
    len = 14,
    msg = "Pussies, Pussies, Pussies!",
    tags = {"alm"},
},
{
    id = "wq2:069",
    file = "069.ogg",
    len = 14,
    msg = "Hier spricht die Staatssicherheit!",
    tags = {"alm"},
},
{
    id = "wq2:070",
    file = "070.ogg",
    len = 0,
    msg = "Einschüchterungsschrei...",
    tags = {"alm","pvp","warrior"},
},
{
    id = "wq2:071",
    file = "071.ogg",
    len = 5,
    msg = "Nu is alles fertig",
    tags = {"alm","group"},
},
{
    id = "wq2:072",
    file = "072.ogg",
    len = 4,
    msg = "Ich bin ein Hinterlader",
    tags = {"alm","rogue"},
},
{
    id = "wq2:073",
    file = "073.ogg",
    len = 6,
    msg = "Blazing Dildo of the Firequeen",
    tags = {"alm"},
},
{
    id = "wq2:074",
    file = "074.ogg",
    len = 3,
    msg = "Mein 30 inch Cock",
    tags = {"alm"},
},
{
    id = "wq2:075",
    file = "075.ogg",
    len = 53,
    msg = "Der Horst rennt *träller*",
    tags = {"alm","music","warrior"},
},
{
    id = "wq2:076",
    file = "076.ogg",
    len = 6,
    msg = "Ich spiele mit euern Eiern Fussball",
    tags = {"alm"},
},
{
    id = "wq2:077",
    file = "077.ogg",
    len = 10,
    msg = "Da sag noch einer, ich mach kein Dmg",
    tags = {"alm","paladin","pve"},
},
{
    id = "wq2:078",
    file = "078.ogg",
    len = 7,
    msg = "Mein Name ist Medivh...",
    tags = {"alm","pve"},
    
},
{
    id = "wq2:079",
    file = "079.ogg",
    len = 0,
    msg = "Ich spiele Grand...",
    tags = {"alm"},
    
},
{
    id = "wq2:080",
    file = "080.ogg",
    len = 16,
    msg = "Let's get ready to CHARGE!",
    tags = {"alm","warrior"},
},
{
    id = "wq2:081",
    file = "081.ogg",
    len = 1,
    msg = "Schleuder den Purchen zu Poden!",
    tags = {"pvp","brian"},
},
{
    id = "wq2:082",
    file = "082.ogg",
    len = 3,
    msg = "Schwanzus Longus",
    tags = {"brian"},
},
{
    id = "wq2:083",
    file = "083.ogg",
    len = 10,
    msg = "Give us the magic words!",
    tags = {"music"},
},
{
    id = "wq2:084",
    file = "084.ogg",
    len = 31,
    msg = "UIUAA *träller*",
    tags = {"music"},
},
{
    id = "wq2:085",
    file = "085.ogg",
    len = 35,
    msg = "Sailor Moon *träller*",
    tags = {"music"},
},
{
    id = "wq2:086",
    file = "086.ogg",
    len = 11,
    msg = "Ninja Turtles *träller*",
    tags = {"music"},
},
{
    id = "wq2:087",
    file = "087.ogg",
    len = 3,
    msg = "Alarm!",
    tags = {"pvp"},
},
{
    id = "wq2:088",
    file = "088.ogg",
    len = 3,
    msg = "Pata Pon",
    
},
{
    id = "wq2:089",
    file = "089.ogg",
    len = 16,
    msg = "Power Rangers *träller*",
    tags = {"music"},
},
{
    id = "wq2:090",
    file = "090.ogg",
    len = 3,
    msg = "Ich hau ab",
    tags = {"bye"},
    
},
{
    id = "wq2:091",
    file = "091.ogg",
    len = 1,
    msg = "Babbel net!",
    tags = {"group"},
    
},
{
    id = "wq2:092",
    file = "092.ogg",
    len = 1,
    msg = "Geistig behindert",
    tags = {"negative"},
    
},
{
    id = "wq2:093",
    file = "093.ogg",
    len = 2,
    msg = "Besser werden",
    tags = {"pve"},
    
},
{
    id = "wq2:094",
    file = "094.ogg",
    len = 3,
    msg = "Bist du Blind?",
    tags = {"negative","pvp"},
     
},
{
    id = "wq2:095",
    file = "095.ogg",
    len = 12,
    msg = "Tschüssi machts gut",
    tags = {"bye","music"},
},
{
    id = "wq2:096",
    file = "096.ogg",
    len = 1,
    msg = "Doh!",
    tags = {"negative","simpsons"},
},
{
    id = "wq2:097",
    file = "097.ogg",
    len = 3,
    msg = "Eierschaukeln...",
    tags = {"tvtotal"},
},
{
    id = "wq2:098",
    file = "098.ogg",
    len = 3,
    msg = "Wenn man keine Ahnung hat...",
    tags = {"group", "negative"},
},
{
    id = "wq2:099",
    file = "099.ogg",
    len = 1,
    msg = "Jetzt wolln wir mal zocken",
    tags = {"pve","group"},
},
{
    id = "wq2:100",
    file = "100.ogg",
    len = 1,
    msg = "Son Hals!",
    tags = {"negative"},
},
{
    id = "wq2:101",
    file = "101.ogg",
    len = 2,
    msg = "Nur Vollidioten",
    tags = {"negative"},
},
{
    id = "wq2:102",
    file = "102.ogg",
    len = 2,
    msg = "Juhu!",
    tags = {"positive","simpsons"},
},
{
    id = "wq2:103",
    file = "103.ogg",
    len = 1,
    msg = "Na klasse, Noobs",
    tags = {"negative","group"},
},
{
    id = "wq2:104",
    file = "104.ogg",
    len = 4,
    msg = "Lassen Sie die Faxen!",
    tags = {"negative"},
},
{
    id = "wq2:105",
    file = "105.ogg",
    len = 7,
    msg = "Zocken, kiffen und rumhängen?",
    tags = {"group"},
},
-- end of media data
};
end 

